# Как вы можете помочь проекту?


## Помощь с переводом

Для колаборации мы используем наш собственный [инстанс weblate](https://weblate.selfprivacy.org/projects/selfprivacy/selfprivacy-app/).
Вы можете создать аккаунт и помочь нам перевести проект на ваш одной язык.

## Если вы программист

Про то как работает SelfPrivacy вы можете прочитать в [документации](https://selfprivacy.org/docs/theory/).

Вы можете помочь нам закрыть мелкие задачи в Issues которые помечаны тегом "Contributions welcome". К примеру по [ссылке](https://git.selfprivacy.org/kherel/selfprivacy.org.app/issues?q=&type=all&state=open&labels=118&milestone=0&assignee=0&poster=0) вы увидите "Contributions welcome" задачи для основного приложения.

Мы не можем одобрить значительные изменения без согласования с основными разработчиками. Вы можете создать форк проекта, но если вы хотите получить одобрение, пожалуйста, обсудите свои изменения в чатах проекта:

- [Telegram: @selfprivacy_dev](https://t.me/selfprivacy_dev)
- [Matrix: @dev:selfprivacy.org](https//matrix.to/#/%23dev:selfprivacy.org)

### [Python](https://www.python.org/) / [NixOS](https://nixos.org/) - backend
Наша серверная часть использует дистрибутив GNU/Linux NixOS, и демон написанный на Python, про то как с ним работать и тестировать изменения, вы можете прочитать [тут](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api/src/branch/master/CONTRIBUTING.md).
Так же вы можете улучшить другие наши NixOS компоненты:

- [Бекенд демон (SelfPrivacy API)](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api)
- [NixOS config](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-nixos-config)
- [NixOS infect](https://git.selfprivacy.org/SelfPrivacy/selfprivacy-nixos-infect)

### [Dart](https://dart.dev/) + [Flatter](https://flutter.dev/) - frontend app

- [Репозиторий](https://git.selfprivacy.org/kherel/selfprivacy.org.app)

### [HTML](https://html.spec.whatwg.org/multipage/) / [JavaScript](https://www.ecma-international.org/publications-and-standards/standards/ecma-262/)
Если вы знаете как улучшить [наш сайт](https://selfprivacy.org):

- [Главный сайт + Документация](https://git.selfprivacy.org/SelfPrivacy/selfprivacy.org)


# За любой помощью обращайтесь в наши чаты:
- [Telegram: @selfprivacy_dev](https://t.me/selfprivacy_dev)
- [Matrix: @dev:selfprivacy.org](https//matrix.to/#/%23dev:selfprivacy.org)
